Kerbal Space Program - Bug #2857

Accented characters on the Ul
08/07/2014 08:52 AM - apOr

Status: Closed Start date: 08/07/2014
Severity: Very Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.24 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Issue: On the VAB, or Plane Hangar, when naming a Ship, accented characters don't seem to use the same font as the rest of the
text.

Steps to reproduce:

1)Enter VAB or Hangar

2)In the text area reserved for naming a ship, write any random name, and it will use that pixellated font.
3)Attempt to write any accented character such as A4, Aj, A©, A, A3, A2, A§, etc and you will see the bug.

Proof:
HXV1671.jpg

Esd7KVB.jpg
This happens on KSP 0.24.0.549, Win7 SP1 32Bit. | have a vanilla install and a modded install and both have the same issue.
Thanks for your time :)

History

#1 - 08/07/2014 02:15 PM - TruePikachu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#2 - 10/19/2014 08:31 PM - TruePikachu

Still present in .25; just mentioning for consistancy.

#3 - 10/19/2014 10:00 PM - apOr
Confirmed in 0.25, both vanilla and modded.

#4 - 12/26/2014 09:17 AM - apOr
Still present in .90

#5 - 02/01/2015 06:53 AM - asteba
- File accents-launching.png added

- File accents-tracking.png added

I can confirm this is still present in the latest steam version. There is also a problem in the tracking station: in the info panel of a tracked object
accents are completely missing (see attached screenshots).

#6 - 02/01/2015 09:10 AM - apOr

Confirmed Tracking station info panel variant. Probably they use a font wich has no accents.

#7 - 07/17/2016 09:26 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0
#8 - 07/18/2016 12:21 AM - apOr
- File bug.png added

It is still happening in 1.1.3, and is perfectly reproducible using the steps that I've posted above

1)Enter VAB or Hangar

2)In the text area reserved for naming a ship, write any random name, and it will use that pixellated font.
3)Attempt to write any accented character such as A, Aj, A©, A, A3, A% A§, etc and you will see the bug.

What kind of clarification do you require?

#9 - 07/18/2016 04:01 AM - TriggerAu
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

Hi ApOr, we are doing a mass cleanup on reported bugs, you can read more about it here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/

The TL;DR is that its not an indication of anything wrong with your report, there are soo many old bugs in the tracker that we cant give the devs a
good picture of whats still an issue - so we have set up a process for all bugs from pre 1.1.3 to collect the info and get them confirmed for the devs to

be able to plan on whats current and important to the players.
I'll change the staus to confiremd and we can go from there

#10 - 09/14/2016 12:39 AM - apOr

Solved as of 1.2 prerelease.

#11 - 11/11/2016 04:15 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Updated by apOr about 1 month ago
Comment Edit

Solved as of 1.2 prerelease.
Thanks apOr, marking as resolved!

#12 - 11/14/2016 10:11 AM - JPLRepo

- Status changed from Resolved to Closed
